Bug 260123 (cmake-3.22.0) - [exp-run] Update cmake to 3.22.0
Summary: [exp-run] Update cmake to 3.22.0
Status: Closed FIXED
Alias: cmake-3.22.0
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-11-29 18:09 UTC by Tobias C. Berner
Modified: 2021-12-14 18:50 UTC (History)
1 user (show)

See Also:
antoine: exp-run+


Attachments
v1 (11.23 KB, patch)
2021-11-29 18:09 UTC, Tobias C. Berner
no flags Details | Diff
v2 (11.62 KB, patch)
2021-12-11 09:17 UTC, Tobias C. Berner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias C. Berner freebsd_committer 2021-11-29 18:09:20 UTC
Created attachment 229800 [details]
v1

Moin moin 


kde@ would like to ask for an exp-run to update devel/cmake to 3.22.0. The patch is attached, and can also be found here:

https://people.freebsd.org/~tcberner/patches/0001-devel-cmake-update-to-3.22.0.patch


mfg Toibas
Comment 3 Tobias C. Berner freebsd_committer 2021-12-11 06:52:37 UTC
- Fixed:
  * devel/kms-cmake-utils (requires a plist-sub change on commit)

- Already broken (unrelated):
  * databases/arrow
  * sysutils/datadog-agent
 
- cmake-Related fallout:
  * sysutils/ttyd
  * graphics/opencolorio-tools
  * graphics/blender-lts28
Comment 4 commit-hook freebsd_committer 2021-12-11 07:36:03 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=ce6625b9a2736b14f2cd9519ef808487b288fb0a

commit ce6625b9a2736b14f2cd9519ef808487b288fb0a
Author:     Tobias C. Berner <tcberner@FreeBSD.org>
AuthorDate: 2021-12-11 07:26:53 +0000
Commit:     Tobias C. Berner <tcberner@FreeBSD.org>
CommitDate: 2021-12-11 07:35:10 +0000

    sysutils/ttyd: prepare for cmake-3.22

    PR:             260123

 sysutils/ttyd/Makefile | 1 -
 1 file changed, 1 deletion(-)
Comment 5 commit-hook freebsd_committer 2021-12-11 08:23:11 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=bd285c2e4c71e7942af806715782e7b2cae51951

commit bd285c2e4c71e7942af806715782e7b2cae51951
Author:     Tobias C. Berner <tcberner@FreeBSD.org>
AuthorDate: 2021-12-11 08:12:47 +0000
Commit:     Tobias C. Berner <tcberner@FreeBSD.org>
CommitDate: 2021-12-11 08:15:48 +0000

    graphics/opencolorio-tools: prepare for cmake-3.22

    PR:             260123

 .../files/patch-src_apps_ociodisplay_CMakeLists.txt (new)     | 11 +++++++++++
 1 file changed, 11 insertions(+)
Comment 6 commit-hook freebsd_committer 2021-12-11 09:09:21 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=4b0e25639b7290d5009ebfda073bb2364da9172f

commit 4b0e25639b7290d5009ebfda073bb2364da9172f
Author:     Tobias C. Berner <tcberner@FreeBSD.org>
AuthorDate: 2021-12-11 09:04:27 +0000
Commit:     Tobias C. Berner <tcberner@FreeBSD.org>
CommitDate: 2021-12-11 09:05:17 +0000

    graphics/blender-lts28: prepare for cmake-3.22

    PR:             260123

 graphics/blender-lts28/files/patch-CMakeLists.txt | 15 ++++++++++++---
 1 file changed, 12 insertions(+), 3 deletions(-)
Comment 7 Tobias C. Berner freebsd_committer 2021-12-11 09:17:51 UTC
Created attachment 230040 [details]
v2

Moin moin 

Updated version [1] contains cmake-3.22.1 and the fix for devel/kms-cmake-utils.

All reported fallout is either fixed or was pre-existing.


mfg Tobias

[1] https://people.freebsd.org/~tcberner/patches/0001-devel-cmake-update-to-3.22.1.patch
Comment 9 commit-hook freebsd_committer 2021-12-14 06:04:00 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=4689af1e704536316ecfe36e2ea14a9f929733a3

commit 4689af1e704536316ecfe36e2ea14a9f929733a3
Author:     Tobias C. Berner <tcberner@FreeBSD.org>
AuthorDate: 2021-12-14 05:58:50 +0000
Commit:     Tobias C. Berner <tcberner@FreeBSD.org>
CommitDate: 2021-12-14 06:00:42 +0000

    devel/aws-sdk-cpp: prepare for cmake-3.22

    This fixes the build of databases/arrow.

    Obtained from:  https://github.com/microsoft/vcpkg/commit/148fba1d1a5ec07383aaff4c603c17a1d25399a7
    PR:             260123

 devel/aws-sdk-cpp/Makefile                         |  1 +
 .../files/patch-cmake_AWSSDKConfig.cmake (new)     | 25 ++++++++++++++++++++++
 2 files changed, 26 insertions(+)
Comment 10 Antoine Brodin freebsd_committer 2021-12-14 18:37:15 UTC
If you tested it then this is fine
Comment 11 Tobias C. Berner freebsd_committer 2021-12-14 18:49:15 UTC
Committed. Thanks for the exp-run.
Comment 12 commit-hook freebsd_committer 2021-12-14 18:50:02 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=7832eac624d195d8e52daa456c92514b148a5107

commit 7832eac624d195d8e52daa456c92514b148a5107
Author:     Tobias C. Berner <tcberner@FreeBSD.org>
AuthorDate: 2021-11-29 18:04:56 +0000
Commit:     Tobias C. Berner <tcberner@FreeBSD.org>
CommitDate: 2021-12-14 18:48:43 +0000

    devel/cmake: update to 3.22.1

    Release Notes:
            https://cmake.org/cmake/help/v3.22/release/3.22.html

    Exp-run by:     antoine
    PR:             260123

 devel/cmake-doc/Makefile       |  2 +-
 devel/cmake-gui/Makefile       |  3 +--
 devel/cmake/Makefile           |  3 +--
 devel/cmake/distinfo           |  6 +++---
 devel/cmake/pkg-plist          | 33 +++++++++++++++++++++++++++++++++
 devel/kms-cmake-utils/Makefile |  2 +-
 6 files changed, 40 insertions(+), 9 deletions(-)